Bug 446616 - libvirt: not built with PolicyKit as intended
libvirt: not built with PolicyKit as intended
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-05-15 08:08 EDT by Tomas Hoger
Modified: 2008-06-05 02:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-15 17:48:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-05-15 08:08:50 EDT
Description of problem:

It seems that it's intended to build libvirt with PolicyKit support on any
Fedora 8 and later, but this does not seem to occur on rawhide / F10.

Problem seems to be caused by following line in .spec file:

  %if "%{fedora}" >= "8"

With double quotes, this seems to be evaluated in the string context resulting
in the condition not being met.  Removing quotes seems to help.

Version-Release number of selected component (if applicable):

all .fc10 builds where %fedora is 10
Comment 1 Daniel Berrange 2008-05-15 17:48:21 EDT
Fixed in libvirt-0.4.2-5.fc10
Comment 2 Mark McLoughlin 2008-06-04 13:51:07 EDT
Fixed in F-9 with:

* Wed Jun  4 2008 Mark McLoughlin <markmc@redhat.com> - 0.4.2-4.fc9
- Disable lokkit support again (#449996, #447633)
- Ensure PolicyKit is enabled (#446616)
Comment 3 Fedora Update System 2008-06-04 17:01:06 EDT
libvirt-0.4.2-4.fc9 has been submitted as an update for Fedora 9
Comment 4 Tomas Hoger 2008-06-05 02:29:13 EDT
F9 libvirt was not really affected by this...

Note You need to log in before you can comment on or make changes to this bug.